// some basic defines
#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

// type scope
#define private 0
#define protected 1
#define public 2

#define WeaponNoSlot          0// dummy weapons
#define WeaponSlotPrimary     1// primary weapons
#define WeaponSlotSecondary   16// secondary weapons
#define WeaponSlotItem        256// items
#define WeaponSlotBinocular   4096// binocular
#define WeaponHardMounted     65536

class CfgPatches 
{ 
  class JJBSoldierDesertGuerrillaEngineer 
  { 
     units[] = {JJBSoldierDesertGuerrillaEngineer}; 
     weapons[] = {}; 
     requiredVersion = 1.01; 
  };
  class JJBSoldierDesertGuerrillaHEguy 
  { 
     units[] = {JJBSoldierDesertGuerrillaHEguy}; 
     weapons[] = {}; 
     requiredVersion = 1.01; 
  };    
}; 

class CfgVehicles 
{ 
  class All{}; 
  class AllVehicles:All{}; 
  class Land:AllVehicles{}; 
  class Man:Land{}; 
  class Soldier:Man{}; 
  class SoldierGB:Soldier{}; 

  class JJBSoldierDesertGuerrillaEngineer:SoldierGB  
  { 
     displayName="Desert Engineer JJB"; 
     model="\sttdesertsoldiersg\sttsoldiergdes";
     picture="iminer";
     weaponSlots="1+16+2*4096+10*256";     
     weapons[]={"AK47CZ","Binocular","Throw","Put"};
     magazines[]={"AK47","AK47","AK47","AK47","Minee","Minee","Minee"};
     wounds[]={"xicht_a.paa","xicht_a_zranen","xicht_b.paa","xicht_a_zranen","xicht_c.paa","xicht_a_zranen","xicht_d.paa","xicht_a_zranen","xicht_e.paa","xicht_e_zranen","xicht_f.paa","xicht_a_zranen","xicht_g.paa","xicht_a_zranen","xicht_h.paa","xicht_a_zranen","xicht_i.paa","xicht_a_zranen","xicht_j.paa","xicht_a_zranen","xicht_k.paa","xicht_a_zranen","xicht_l.paa","xicht_a_zranen","xicht_m.paa","xicht_a_zranen","xicht_n.paa","xicht_a_zranen","xicht_o.paa","xicht_o_zranen","xicht_p.paa","xicht_a_zranen","xicht_q.paa","xicht_a_zranen","xicht_r.paa","xicht_a_zranen","xicht_s.paa","xicht_a_zranen","xicht_t.paa","xicht_a_zranen","xicht_u.paa","xicht_a_zranen","xicht_v.paa","xicht_v_zranen","xicht_w.paa","xicht_w_zranen","xicht_x.paa","xicht_a_zranen","xicht_y.paa","xicht_a_zranen","xicht_z.paa","xicht_a_zranen","xicht_2a.paa","xicht_a_zranen","xicht_2b.paa","xicht_w_zranen","xicht_2c.paa","xicht_a_zranen","xicht_2d.paa","xicht_v_zranen","xicht_2e.paa","xicht_a_zranen","xicht_2f.paa","xicht_a_zranen","xicht_2g.paa","xicht_w_zranen","xicht_2h.paa","xicht_a_zranen","xicht_2i.paa","xicht_a_zranen","xicht_2j.paa","xicht_a_zranen","xicht_2k.paa","xicht_a_zranen","xicht_2l.paa","xicht_a_zranen","xicht_2m.paa","xicht_a_zranen","xicht_2n.paa","xicht_a_zranen","xicht_2o.paa","xicht_a_zranen","xicht_2p.paa","xicht_2p_zranen","xicht_2q.paa","xicht_a_zranen","xicht_2r.paa","xicht_e_zranen","xicht_2s.paa","xicht_a_zranen","xicht_2t.paa","xicht_a_zranen","xicht_2u.paa","xicht_a_zranen","xicht_2v.paa","xicht_a_zranen","xicht_2w.paa","xicht_w_zranen","xicht_2x.paa","xicht_a_zranen","xicht_2y.paa","xicht_a_zranen","xicht_2z.paa","xicht_a_zranen","\DesertFIA+\sttdes000mc_vojakg2.paa","\DesertFIA+\sttdes009mc_vojakg2.paa","\DesertFIA+\sttdes003mc_vojakg2.paa","\DesertFIA+\sttdes008mc_vojakg2.paa","\DesertFIA+\sttdesg_zada_z","\DesertFIA+\sttdesg_zada_z_d","\DesertFIA+\sttdesg_hrud_p","\DesertFIA+\sttdesg_hrud_p_d","\DesertFIA+\sttdesg_nohy_p","\DesertFIA+\sttdesg_nohy_p_d","\DesertFIA+\sttdesg_nohy_z","\DesertFIA+\sttdesg_nohy_z_d"};
  };
 class JJBSoldierDesertGuerrillaHEguy:SoldierGB  
  { 
     displayName="Desert HE guy JJB"; 
     model="\sttdesertsoldiersg\sttsoldiergodes";
     picture="isaboteur";
     camouflage=0.700000; 
     weaponSlots="1+16+2*4096+10*256";     
     weapons[]={"HK","Binocular","Throw","Put"};
     magazines[]={"HK","HK","HK","HK","Pipebomb","Pipebomb","Pipebomb"};
     wounds[]={"xicht_a.paa","xicht_a_zranen","xicht_b.paa","xicht_a_zranen","xicht_c.paa","xicht_a_zranen","xicht_d.paa","xicht_a_zranen","xicht_e.paa","xicht_e_zranen","xicht_f.paa","xicht_a_zranen","xicht_g.paa","xicht_a_zranen","xicht_h.paa","xicht_a_zranen","xicht_i.paa","xicht_a_zranen","xicht_j.paa","xicht_a_zranen","xicht_k.paa","xicht_a_zranen","xicht_l.paa","xicht_a_zranen","xicht_m.paa","xicht_a_zranen","xicht_n.paa","xicht_a_zranen","xicht_o.paa","xicht_o_zranen","xicht_p.paa","xicht_a_zranen","xicht_q.paa","xicht_a_zranen","xicht_r.paa","xicht_a_zranen","xicht_s.paa","xicht_a_zranen","xicht_t.paa","xicht_a_zranen","xicht_u.paa","xicht_a_zranen","xicht_v.paa","xicht_v_zranen","xicht_w.paa","xicht_w_zranen","xicht_x.paa","xicht_a_zranen","xicht_y.paa","xicht_a_zranen","xicht_z.paa","xicht_a_zranen","xicht_2a.paa","xicht_a_zranen","xicht_2b.paa","xicht_w_zranen","xicht_2c.paa","xicht_a_zranen","xicht_2d.paa","xicht_v_zranen","xicht_2e.paa","xicht_a_zranen","xicht_2f.paa","xicht_a_zranen","xicht_2g.paa","xicht_w_zranen","xicht_2h.paa","xicht_a_zranen","xicht_2i.paa","xicht_a_zranen","xicht_2j.paa","xicht_a_zranen","xicht_2k.paa","xicht_a_zranen","xicht_2l.paa","xicht_a_zranen","xicht_2m.paa","xicht_a_zranen","xicht_2n.paa","xicht_a_zranen","xicht_2o.paa","xicht_a_zranen","xicht_2p.paa","xicht_2p_zranen","xicht_2q.paa","xicht_a_zranen","xicht_2r.paa","xicht_e_zranen","xicht_2s.paa","xicht_a_zranen","xicht_2t.paa","xicht_a_zranen","xicht_2u.paa","xicht_a_zranen","xicht_2v.paa","xicht_a_zranen","xicht_2w.paa","xicht_w_zranen","xicht_2x.paa","xicht_a_zranen","xicht_2y.paa","xicht_a_zranen","xicht_2z.paa","xicht_a_zranen","\DesertFIA+\sttdes000mc_vojakg2.paa","\DesertFIA+\sttdes009mc_vojakg2.paa","\DesertFIA+\sttdes003mc_vojakg2.paa","\DesertFIA+\sttdes008mc_vojakg2.paa","\DesertFIA+\sttdesg_zada_z","\DesertFIA+\sttdesg_zada_z_d","\DesertFIA+\sttdesg_hrud_p","\DesertFIA+\sttdesg_hrud_p_d","\DesertFIA+\sttdesg_nohy_p","\DesertFIA+\sttdesg_nohy_p_d","\DesertFIA+\sttdesg_nohy_z","\DesertFIA+\sttdesg_nohy_z_d"};
};
};